import request from '@/utils/request'

// 路径及触发条件
export function specialDiseaseRoute(id) {
    return request({
        url: `/system/specialDiseaseRoute/${id}`,
        method: 'get',
    })
}

//查询触发条件详情
export function triggerCondition(id) {
    return request({
        url: `/system/triggerCondition/${id}`,
        method: 'get'
    })
}

//修改保存触发条件
export function triggerConditionedit(data) {
    return request({
        url: `/system/triggerCondition/edit`,
        method: 'put',
        data
    })
}

//删除修改触发条件id 
export function triggerConditiondel(ids) {
    return request({
        url: `/system/triggerCondition/${ids}`,
        method: 'delete'
    })
}

//删除主路径
export function specialDiseaseRoutedel(id) {
    return request({
        url: `/system/specialDiseaseRoute/${id}`,
        method: 'delete'
    })
}

//添加触发条件
export function triggerConditionadd(data) {
    return request({
        url: `/system/triggerCondition/add`,
        method: 'post',
        data
    })
}